curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/debts/type/personal-loans \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "01K9CD01AJ0T22HRYE78AN7CCC",
"case_id": "<string>",
"debt_type": "CRC",
"creditor_name": "Capital One",
"account_number": "***5678",
"condition": "OPEN",
"responsibility": "I",
"balance": 4523.89,
"credit_limit": 123,
"minimum_payment": 123,
"interest_rate": 24.99,
"is_joint_account": false,
"joint_holder_name": "<string>",
"collection_agency": "<string>",
"original_creditor": "<string>",
"credit_bureau_source": "experian",
"last_payment_date": "2023-12-25",
"notification_status": "not_notified",
"notification_date": "2023-12-25",
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}Returns debts filtered to personal loan types: I/L, NTE, NCS, SEC, UNS, P/S, ISC, 78, 20, 21, 02, 01, 03, 06.
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/debts/type/personal-loans \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "01K9CD01AJ0T22HRYE78AN7CCC",
"case_id": "<string>",
"debt_type": "CRC",
"creditor_name": "Capital One",
"account_number": "***5678",
"condition": "OPEN",
"responsibility": "I",
"balance": 4523.89,
"credit_limit": 123,
"minimum_payment": 123,
"interest_rate": 24.99,
"is_joint_account": false,
"joint_holder_name": "<string>",
"collection_agency": "<string>",
"original_creditor": "<string>",
"credit_bureau_source": "experian",
"last_payment_date": "2023-12-25",
"notification_status": "not_notified",
"notification_date": "2023-12-25",
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique case identifier (ULID format).
Page number for pagination.
x >= 1Number of items per page.
1 <= x <= 100DECEASED, CHARGEOFF, BANKRUPTCY, TRANSFER, REPOSSESSION, CLOSED, BANKRUPTCYPET, COLLECTIONS, DELINQUENT120, DELINQUENT90, DELINQUENT60, DELINQUENT30, REFINANCED, LOST, OPEN, PAID, UNKNOWN 1, B, I, 8, C, 5, S, 2, J, 4, P, 3, A, 7, M, 0, O, U, 9, T, X